# Uses of Class
org.eclipse.draw2d.Shape

Packages that use Shape
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of Shape in org.eclipse.draw2d

Subclasses of Shape in org.eclipse.draw2d
Modifier and Type
Class
Description
`class`
`AbstractPointListShape`
Base superclass for all polylines/polygons
`class`
`Ellipse`
An figure that draws an ellipse filling its bounds.
`class`
`Polygon`
Renders a `PointList` as a polygonal shape.
`class`
`PolygonDecoration`
A rotatable, polygon shaped decoration most commonly used for decorating the ends of `polylines`.
`class`
`PolygonShape`
Renders a `PointList` as a polygonal shape.
`class`
`Polyline`
Renders a `PointList` as a series of line segments.
`class`
`PolylineConnection`
An implementation of `Connection` based on Polyline.
`class`
`PolylineDecoration`
A decorative Figure intended to be placed on a `Polyline`.
`class`
`PolylineShape`
Renders a `PointList` as a series of line segments.
`class`
`RectangleFigure`
Draws a rectangle whose size is determined by the bounds set to it.
`class`
`RoundedRectangle`
Draws a Rectangle whose corners are rounded in appearance.
`class`
`ScalablePolygonShape`
Renders a `PointList` as a polygonal shape scaled in accordance with bounds to fill whole figure.
`final class`
`Triangle`
A triangular graphical figure.
Methods in org.eclipse.draw2d that return Shape
Modifier and Type
Method
Description
`static Shape`
FigureUtilities.`makeGhostShape(Shape s)`
Produces a ghosting effect on the shape s.
Methods in org.eclipse.draw2d with parameters of type Shape
Modifier and Type
Method
Description
`static Shape`
FigureUtilities.`makeGhostShape(Shape s)`
Produces a ghosting effect on the shape s.